View Issue Details

IDProjectCategoryView StatusLast Update
0004620GNUnetnamestore servicepublic2018-06-07 00:24
ReporterlynXAssigned ToChristian Grothoff 
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.10.1 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0004620: Problem with case-sensitive handling of names in namestore
DescriptionWhen storing a name into GNS, according to namestore -D it is lowercased. When the name is to be deleted it isn't, so it isn't found.
Steps To Reproducegnunet-namestore -z master-zone -t vpn -ap -e "12 hours" -n foo -V "6 TVV54YYR29KRDKM30ZC3014JXHDGPVT7KFQGA44CEV2YQSEVFDAG http"
gnunet-namestore -z master-zone -t vpn -n foo -d
gnunet-namestore -z master-zone -t vpn -ap -e "12 hours" -n lynX -V "6 TVV54YYR29KRDKM30ZC3014JXHDGPVT7KFQGA44CEV2YQSEVFDAG http"
gnunet-namestore -z master-zone -t vpn -n lynX -d
There are no records under label `lynX' that could be deleted.
gnunet-namestore -z master-zone -t vpn -n lynx -d

Notice lynX vs lynx.
Additional InformationIt's good to have a nickname that automatically detects case handling bugs.

Also: gnunet-namestore should return a non-zero exit code when operations like add or delete fail so that scripts and makefiles can act upon it.
TagsNo tags attached.

Activities

Christian Grothoff

2016-08-22 17:08

manager   ~0011060

Fixed in SVN 37758/37759.

Issue History

Date Modified Username Field Change
2016-08-21 17:37 lynX New Issue
2016-08-21 17:42 lynX Additional Information Updated View Revisions
2016-08-22 17:08 Christian Grothoff Note Added: 0011060
2016-08-22 17:08 Christian Grothoff Status new => resolved
2016-08-22 17:08 Christian Grothoff Fixed in Version => 0.11.0pre66
2016-08-22 17:08 Christian Grothoff Resolution open => fixed
2016-08-22 17:08 Christian Grothoff Assigned To => Christian Grothoff
2016-08-22 17:08 Christian Grothoff Product Version => 0.10.1
2016-08-22 17:08 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed